Package com.mapd.thrift.server

## Class TDashboardPermissions

- java.lang.Object
- - com.mapd.thrift.server.TDashboardPermissions

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TDashboardPermissions>`, `org.apache.thrift.TBase<TDashboardPermissions,​TDashboardPermissions._Fields>`, `org.apache.thrift.TSerializable`

    public class TDashboardPermissions
    extends Object
    implements org.apache.thrift.TBase<TDashboardPermissions,​TDashboardPermissions._Fields>, Serializable, Cloneable, Comparable<TDashboardPermissions>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TDashboardPermissions._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`boolean` `create_`
`boolean` `delete_`
`boolean` `edit_`
`static Map<TDashboardPermissions._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`boolean` `view_`

### Constructor Summary

Constructors
`TDashboardPermissions()`
`TDashboardPermissions​(boolean create_, boolean delete_, boolean view_, boolean edit_)`
`TDashboardPermissions​(TDashboardPermissions other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TDashboardPermissions other)`
`TDashboardPermissions` `deepCopy()`
`boolean` `equals​(TDashboardPermissions that)`
`boolean` `equals​(Object that)`
`TDashboardPermissions._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TDashboardPermissions._Fields field)`
`int` `hashCode()`
`boolean` `isCreate_()`
`boolean` `isDelete_()`
`boolean` `isEdit_()`
`boolean` `isSet​(TDashboardPermissions._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetCreate_()` Returns true if field create_ is set (has been assigned a value) and false otherwise
`boolean` `isSetDelete_()` Returns true if field delete_ is set (has been assigned a value) and false otherwise
`boolean` `isSetEdit_()` Returns true if field edit_ is set (has been assigned a value) and false otherwise
`boolean` `isSetView_()` Returns true if field view_ is set (has been assigned a value) and false otherwise
`boolean` `isView_()`
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TDashboardPermissions` `setCreate_​(boolean create_)`
`void` `setCreate_IsSet​(boolean value)`
`TDashboardPermissions` `setDelete_​(boolean delete_)`
`void` `setDelete_IsSet​(boolean value)`
`TDashboardPermissions` `setEdit_​(boolean edit_)`
`void` `setEdit_IsSet​(boolean value)`
`void` `setFieldValue​(TDashboardPermissions._Fields field, Object value)`
`TDashboardPermissions` `setView_​(boolean view_)`
`void` `setView_IsSet​(boolean value)`
`String` `toString()`
`void` `unsetCreate_()`
`void` `unsetDelete_()`
`void` `unsetEdit_()`
`void` `unsetView_()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### create_

    public boolean create_

#### delete_

    public boolean delete_

#### view_

    public boolean view_

#### edit_

    public boolean edit_

#### metaDataMap

    public static final Map<TDashboardPermissions._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TDashboardPermissions

    public TDashboardPermissions()

#### TDashboardPermissions

    public TDashboardPermissions​(boolean create_,
                                 boolean delete_,
                                 boolean view_,
                                 boolean edit_)

#### TDashboardPermissions

    public TDashboardPermissions​(TDashboardPermissions other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TDashboardPermissions deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TDashboardPermissions,​TDashboardPermissions._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TDashboardPermissions,​TDashboardPermissions._Fields>`

#### isCreate_

    public boolean isCreate_()

#### setCreate_

    public TDashboardPermissions setCreate_​(boolean create_)

#### unsetCreate_

    public void unsetCreate_()

#### isSetCreate_

    public boolean isSetCreate_()

Returns true if field create_ is set (has been assigned a value) and false otherwise

#### setCreate_IsSet

    public void setCreate_IsSet​(boolean value)

#### isDelete_

    public boolean isDelete_()

#### setDelete_

    public TDashboardPermissions setDelete_​(boolean delete_)

#### unsetDelete_

    public void unsetDelete_()

#### isSetDelete_

    public boolean isSetDelete_()

Returns true if field delete_ is set (has been assigned a value) and false otherwise

#### setDelete_IsSet

    public void setDelete_IsSet​(boolean value)

#### isView_

    public boolean isView_()

#### setView_

    public TDashboardPermissions setView_​(boolean view_)

#### unsetView_

    public void unsetView_()

#### isSetView_

    public boolean isSetView_()

Returns true if field view_ is set (has been assigned a value) and false otherwise

#### setView_IsSet

    public void setView_IsSet​(boolean value)

#### isEdit_

    public boolean isEdit_()

#### setEdit_

    public TDashboardPermissions setEdit_​(boolean edit_)

#### unsetEdit_

    public void unsetEdit_()

#### isSetEdit_

    public boolean isSetEdit_()

Returns true if field edit_ is set (has been assigned a value) and false otherwise

#### setEdit_IsSet

    public void setEdit_IsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TDashboardPermissions._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TDashboardPermissions,​TDashboardPermissions._Fields>`

#### getFieldValue

    public Object getFieldValue​(TDashboardPermissions._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TDashboardPermissions,​TDashboardPermissions._Fields>`

#### isSet

    public boolean isSet​(TDashboardPermissions._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TDashboardPermissions,​TDashboardPermissions._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TDashboardPermissions that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TDashboardPermissions other)

Specified by:
  `compareTo` in interface `Comparable<TDashboardPermissions>`

#### fieldForId

    public TDashboardPermissions._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TDashboardPermissions,​TDashboardPermissions._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`